| LicenseSpring .Net SDK 7.42.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.ILicenseID Interface Reference

LicenseID interface, see `LicenseID` class. More...

Inheritance diagram for LicenseSpring.ILicenseID:

## Public Member Functions
string | Id ()
| Returns license key or user identifier, depending of what is present.
bool | IsEmpty ()
| Checks if LicenseID is empty.
bool | IsValid ()
| Checks if LicenseID is valid.

## Properties
string | Key`[get]`
| License key or empty string, if key is not set, for example in case of user-based product.
string | Password`[get, set]`
| Returns user password or empty string, if password is not set. SDK does not store password on disk or anywhere else.
long? | ServerId`[get, set]`
| Serverside license id, used for activating user licenses if a single user has multiple licenses for the same product. If not set, latest license will be activated.
string | User`[get]`
| User identifier or empty string, if user is not set, for example in case of key-based product.

## Detailed Description

LicenseID interface, see `LicenseID` class.

## Member Function Documentation

## ◆ Id()

string LicenseSpring.ILicenseID.Id | ( |  | ) |

Returns license key or user identifier, depending of what is present.

Returns
  License key or user identifier string

Implemented in LicenseSpring.LicenseID.

## ◆ IsEmpty()

bool LicenseSpring.ILicenseID.IsEmpty | ( |  | ) |

Checks if LicenseID is empty.

LicenseID considered empty if both license key and user are empty strings.

Returns
  True if empty and false otherwise

Implemented in LicenseSpring.LicenseID.

## ◆ IsValid()

bool LicenseSpring.ILicenseID.IsValid | ( |  | ) |

Checks if LicenseID is valid.

LicenseID considered valid if one of the members (key or user) is not empty. Equivalent of !IsEmpty().

Returns
  True if valid and false otherwise

Implemented in LicenseSpring.LicenseID.

## Property Documentation

## ◆ Key

string LicenseSpring.ILicenseID.Key
| get

License key or empty string, if key is not set, for example in case of user-based product.

Implemented in LicenseSpring.LicenseID.

## ◆ Password

string LicenseSpring.ILicenseID.Password
| get set

Returns user password or empty string, if password is not set. SDK does not store password on disk or anywhere else.

Implemented in LicenseSpring.LicenseID.

## ◆ ServerId

long? LicenseSpring.ILicenseID.ServerId
| get set

Serverside license id, used for activating user licenses if a single user has multiple licenses for the same product. If not set, latest license will be activated.

Implemented in LicenseSpring.LicenseID.

## ◆ User

string LicenseSpring.ILicenseID.User
| get

User identifier or empty string, if user is not set, for example in case of key-based product.

Implemented in LicenseSpring.LicenseID.

The documentation for this interface was generated from the following file:

- LicenseID.cs